Results 1 to 18 of 18
  1.    #1  
    Hi there. I purchased a white AT&T veer unlocked from america, cause i couldnt resist it and it looks so awesome. its supersweet, love it.
    everithing works fine and all, but i was wondering if there is a way to put the webos 2.1.1 version for O2germany on it, cause, you know, german language and everything. i tried with the original webos doctor, but, as i assumed, it failed, because of the wrong hardware. so i think i need a metadoctor of some kind to get it to work.

    does anybody know how to do something? or, is it even possible without some unreasonable behaviours on the phone?

    i am not quite good with coding and programing and such. i managed to update my frankenpre to 2.1 some time ago but this was completely with an tutorial guide and i have not quite understand what i did there and what happened, but it worked afterwards, so... Yeah!!!

    so is it possible to put an rest of the world webos version on to this phone? is it difficult? does anybody have some tips or thoughts on this?
    I would very much apreceate every kind of help in any way!!!

    or: maybe it is simpler to update to the unoficial 2.2.4 version from herrie82? i guess this version must be capable of ignoring the original hardware whatsoever, right? but i dont want to risk that its getting bricked by the A6 update.

    so thank you in advance for any tip or help.
    you guys are awesome!!!
  2. #2  
    2.2.4 is easier if you did FrankenPre before I guess I have videos on my blog with all steps
  3. g7
    g7 is offline
    g7's Avatar
    Posts
    57 Posts
    #3  
    You can use impersonation to install the EU firmware. You need the metadoctor (Application:MetaDoctor - WebOS Internals).

    The meta-att-veer-impersonate-wr-2.1.1 script (into the scripts/ directory) is what you need.

    Just download the metadoctor and run ./scripts/meta-att-veer-impersonate-wr-2.1.1

    Flash your veer with the resulting doctor and then reflash again with the normal 2.1.1 doctor.

    Eugenio
  4.    #4  
    great. thank you guys. sounds easy to me. i am a little aware of flashing with the 2.2.4. cause i know i cant resist the a6 update if i do 2.2.4 cause friggin touch to share.
    but i am also so frightend that something might go wrong in that process and i screw up big time my little shiny new white imported veer.
    so i guess i choose the metadoctor version but i dont know yet.

    a little question by the way: obvious i got the qwerty version. but when i flash eu firmware with german localisation, will the buttons be all messed up? so z=y and y=z and whatnot?

    i think i will get used to it, if so, but right now i dont know how to type , whitch german folks use a lot unfortunatly.

    thank you so much by the way!!!
  5.    #5  
    oh man, after reading the metadoctor thing on webos internals, this is not easy at all. im not into linux at all, i mean i like it and all, but i cant do anything with it. but, ok. sounds all spanish to me. im not sure which version i should do. which is easyer and safer and everything. the metadoctor thing or the 2.2.4 herrie version?!?

    im confused
  6. #6  
    Quote Originally Posted by Lueftungauf4 View Post
    great. thank you guys. sounds easy to me. i am a little aware of flashing with the 2.2.4. cause i know i cant resist the a6 update if i do 2.2.4 cause friggin touch to share.
    but i am also so frightend that something might go wrong in that process and i screw up big time my little shiny new white imported veer.
    so i guess i choose the metadoctor version but i dont know yet.

    a little question by the way: obvious i got the qwerty version. but when i flash eu firmware with german localisation, will the buttons be all messed up? so z=y and y=z and whatnot?

    i think i will get used to it, if so, but right now i dont know how to type , whitch german folks use a lot unfortunatly.

    thank you so much by the way!!!
    CHANGE_KEYBOARD_TYPE permanently changes the keyboard layout using
    the manufacturing software token area. You only need to do this
    once. Future uses of the webOS Doctor without this feature enabled
    will not change the setting. You can use this feature again in the
    future at any time to reverse this change.
    ('z' means QWERTY, 'y' & 'y1' mean QWERTZ, 'w1' means AZERTY).
    2.2.4 update is pretty OK in general, just be patient and follow all steps
    Last edited by HelloNNNewman; 02/19/2012 at 05:04 AM. Reason: linking to 3rd party site instead of webOS Internals
  7.    #7  
    so, what do i type in, i mean, i have a qwerty keyboard, which is confusing for me, cause of the characters, want to have acess to them easiely like i am used to right now with my qwertz layout, and the wrong positions of the y and z is not so bad. so i think "y"or "y1" ? that means, that my english keaboard y makes a z and reversed. thats ok i think. but i have acess to the characters which is good, i think
  8. g7
    g7 is offline
    g7's Avatar
    Posts
    57 Posts
    #8  
    Anyway, flashing the EU firmware will not change the hardware keyboard's layout. You can only do this via meta-doctor as Herrie stated.

    Eugenio
  9.    #9  
    allright, its been done. thank you guys for all your help. the keyboard is set to german, although i needed to do it twice. i tried the code "y" in the makefile of the metadoctor which was not what i expected, only the y and z switched, so i tried it again with "y1" and, there we go! all there, all the freakish and whatever is there like i like it and am used to. ok, the "hardware" spelling is incorrect now, of course, but who cares. i cant see the buttons anyway when i type on them, allmost.
    and the update to 2.2.4 went smooth as silk this time. yesterday i had tried it with my black veer which i had before i bought the white one, just to try it out and i had some issues. nontheless, it worked afterwards with touch to share and everything.
    and now the white one is on 2.2.4 too with german keyboard "softwarewise" and german 2.2.4

    had zero problems updating to 2.2.4 this time with the guide by herrie.

    but, both times i did not made the impostah steps, cause the wont work for me. but its fine anyway with a full erase after the installation.

    great. perfect. thank you so much!!!!
  10. robdos's Avatar
    Posts
    199 Posts
    Global Posts
    205 Global Posts
    #10  
    does anyone know if its possible to take an att veer with impersonate wr back to att 2.1.2? I'm having issues with the phone app and I'd like to see if its the custom doctor causing it.
  11.    #11  
    which version are you running currently?
  12. robdos's Avatar
    Posts
    199 Posts
    Global Posts
    205 Global Posts
    #12  
    Quote Originally Posted by Lueftungauf4 View Post
    which version are you running currently?
    I created a meta-doctor using meta-att-veer-impersonate-wr-2.1.1 and then installed the official veer 2.1.1 wr doctor on top.

    - I've been running it for a while, but now and then the phone app just packs up. Dropped calls, incoming calls ringing and going straight to voice mail with no notification on the phone.

    I tried the 2.2.4 update by herrie but had trouble flashing the modem, which I suspect is the cause of the issue.

    If I run the att meta doctor I get device incompatible at 8%
  13. #13  
    You can check in Device Info what's the firmware version of your modem. It could be the modem firmware is faulty somehow. You should be able to reflash it though. 2.2.4 should work in general, sometimes the PC/Laptop you're trying to do the update on could be the problem. Another guy had an issue this week and it turned out to be his PC that was causing the problem and his laptop did the trick.
  14. robdos's Avatar
    Posts
    199 Posts
    Global Posts
    205 Global Posts
    #14  
    Quote Originally Posted by Herrie View Post
    You can check in Device Info what's the firmware version of your modem. It could be the modem firmware is faulty somehow. You should be able to reflash it though. 2.2.4 should work in general, sometimes the PC/Laptop you're trying to do the update on could be the problem. Another guy had an issue this week and it turned out to be his PC that was causing the problem and his laptop did the trick.
    Thanks. I'll have to try again on Monday as I cant find the download, but its on my heard drive at work.

    The phone reports firmware version BU1.9.08(257)

    Thanks!
  15. sebs_arg's Avatar
    Posts
    6 Posts
    Global Posts
    17 Global Posts
    #15  
    Quote Originally Posted by robdos View Post
    I created a meta-doctor using meta-att-veer-impersonate-wr-2.1.1 and then installed the official veer 2.1.1 wr doctor on top.

    - I've been running it for a while, but now and then the phone app just packs up. Dropped calls, incoming calls ringing and going straight to voice mail with no notification on the phone.

    I tried the 2.2.4 update by herrie but had trouble flashing the modem, which I suspect is the cause of the issue.

    If I run the att meta doctor I get device incompatible at 8%
    Same here. I believe that we need another meta-doctor version to come back to AT&T version from German.
  16. robdos's Avatar
    Posts
    199 Posts
    Global Posts
    205 Global Posts
    #16  
    Quote Originally Posted by sebastian.sanfilippo View Post
    Same here..
    Do you have issues with the phone also?
  17. #17  
    Quote Originally Posted by robdos View Post
    Do you have issues with the phone also?
    I had some spontaneous reboots on 2.2.4 while calling/on call, went back to 2.2.3 yesterday to see if that works better.
  18. sebs_arg's Avatar
    Posts
    6 Posts
    Global Posts
    17 Global Posts
    #18  
    Quote Originally Posted by robdos View Post
    Do you have issues with the phone also?
    Yeap, also the browser hangs up (WiFi & 3G), battery drain quickly, gps works ok but maps says that I'm on the Artic (GPS + Google services)...

    I'm back on ATT 2.1.2, for me it was the best software version, even with the ATT bloatware around there.

    In my experience:
    2.1.1 ROW: A little bit slower than 2.1.2. the GPS never wake up even with GPSfix. Battery drain normal.
    2.1.2 ATT: Quick & stable. GPS OK, battery OK... a lot of AT&T's blotware.
    2.2.3/4: it has some advantajes (like TTS) but if the battery does not last a full day... it doesn't work for me that way. I don't want a Nokia 1100, why should I turn off wifi or 3g to get the 2.1.2 battery life?

    cheers

Tags for this Thread

Posting Permissions